For discussion of Alpine Linux development and developer support

1

[alpine-devel] [PATCH] testing/wrk: new aport

Stuart Cardall
Details
Message ID
<1411013740-11498-1-git-send-email-developer@it-offshore.co.uk>
Sender timestamp
1411013740
DKIM signature
missing
Download raw message
Patch: +43 -0
Modern HTTP benchmarking tool https://github.com/wg/wrk

wrk contains code from a number of open source projects including
the 'ae' event loop from redis, the nginx/joyent/node.js 'http-parser',
Mike Pall's LuaJIT, and the Tiny Mersenne Twister PRNG.
---
 testing/wrk/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/wrk/APKBUILD

diff --git a/testing/wrk/APKBUILD b/testing/wrk/APKBUILD
new file mode 100644
index 0000000..99fac6b
--- /dev/null
+++ b/testing/wrk/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
+pkgname=wrk
+pkgver=3.1.1
+pkgrel=0
+pkgdesc="wrk is a modern HTTP benchmarking tool"
+url="https://github.com/wg/wrk"
+arch="all"
+license="Apache v2"
+makedepends="$depends_dev openssl-dev"
+subpackages="$pkgname-doc" 
+source="$pkgname-$pkgver.tar.gz::https://github.com/wg/wrk/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	mkdir -p $pkgdir/usr/bin
+	mkdir -p $pkgdir/usr/share/doc/$pkgname/scripts
+        install -m755 -D $pkgname "$pkgdir"/usr/bin/$pkgname
+	install -m644 -D README "$pkgdir"/usr/share/doc/$pkgname/
+	install -m644 -D LICENSE "$pkgdir"/usr/share/doc/$pkgname/
+	install -m644 -D NOTICE "$pkgdir"/usr/share/doc/$pkgname/
+	install -m755 -D scripts/* "$pkgdir"/usr/share/doc/$pkgname/scripts/
+}
+
+md5sums="bf25e174845bad36fefd66f9be71889e  wrk-3.1.1.tar.gz"
+sha256sums="3a44bd7c9da2edb80d41105c99c113250330b54bb9c3f80008eb6b088e5842ba  wrk-3.1.1.tar.gz"
+sha512sums="ed7bfa0549ce10046e5f054b75befc458f50dd8fa59d5c23194ce63ce18a3c0dd2e966a1397bbd2c1dea7b9ad2f4a8a6b3a5a9676c5202d53fa9406da75b7e19  wrk-3.1.1.tar.gz"
-- 
2.1.0



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20140918115516.6edde537@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1411013740-11498-1-git-send-email-developer@it-offshore.co.uk> (view parent)
Sender timestamp
1411034116
DKIM signature
missing
Download raw message
On Thu, 18 Sep 2014 04:15:40 +0000
Stuart Cardall <developer@it-offshore.co.uk> wrote:

> Modern HTTP benchmarking tool https://github.com/wg/wrk
> 
> wrk contains code from a number of open source projects including
> the 'ae' event loop from redis, the nginx/joyent/node.js 'http-parser',
> Mike Pall's LuaJIT, and the Tiny Mersenne Twister PRNG.

applied. thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---